<? $this->layout()->topBar_title = __('top20_colored') ?>

<div class="i">

<? $this->headScript()
	->appendFile(_st('photo-roller.js'), 'text/javascript')
	->appendFile(_st('gotm.js'), 'text/javascript')	
	->appendScript('Cubix.PhotoRoller.prefix = "' . $conf['remote']['url'] . '/' . Cubix_Application::getById()->host . '/";')
	->appendScript('window.addEvent("domready", function () { Cubix.PhotoRoller.Init() })')	
?>


<script type="text/javascript">
	window.addEvent('domready', function() {
		var data = {
			page: 1
		};
		Cubix.Gotm.Load(data);
		$$('.h').addEvent('mouseenter', function() {
			this.setStyles({
				border: '2px solid #c8e7ff',
				'padding': null,
				'background-image': 'url("' + _st('v2.1/escort_hover_bg.png') + '")',
				'background-repeat': 'repeat-x'
			});
		});

		$$('.h').addEvent('mouseleave', function() {
			this.setStyle('border', '2px solid transparent');
			this.setStyle('background-image', 'none');
		});
	});
</script>

	<div class="bbox gotm-desc">
		<?= __('top20_desc') ?>
	</div>

	<? $escort = $this->gotm ?>
	<div class="bbox escorts gotm no-gotm-bg">
		<?
			$month = intval(date('n'));
			$year = intval(date('Y'));

			$month--;
			if ( 0 == $month ) {
				$month = 12;
				$year--;
			}

			//$month = date('F', mktime(null, null, null, $month));
		?>
		<h3><?= __('girl_of') ?> <?= $this->getMonth($month, $this->lang()) ?>, <?= $year ?></h3>
		<div class="no-gotm-bg escort <?= ($this->is_main_page || $escort->is_premium) ? 'prem' : '' ?>">
			<div class="title"><?= __('top20') ?></div>

			<a class="showname" href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'escort_id' => $escort->id)) ?>"><?= $escort->showname ?></a>
			<div class="esc-wrap esc-wrap-style">

				<div class="wrap">
					<div class="image">
						<a href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'escort_id' => $escort->id)) ?>"><img id="p-<?= $escort->id ?>" src="<?= $escort->getMainPhoto()->getUrl('thumb') ?>" alt="<?= isset($escort->alt) ? $escort->alt : '' ?>" class="escort-thumb" /></a>
					</div>
				</div>
			</div>
		</div><? /* escort */ ?>
		<a href="<?= $this->getLink('gotm', array('history' => true), true, true) ?>" class="<?= $this->lang() ?>-gotm-history"></a>
	</div>
	<div id="premium"  style="padding-top: 70px;">
		<div class="legend" style="top: 16px;">
			<div class="i">
				<?= __('gotm_curr_rating') ?>
			</div>
		</div>

		<div class="gotm-showname-search">
			<div class="srch-bar">
				<input type="text" class="def-text" value="<?= __('search_by_showname') ?>" name="name" id="search" />
			</div>
		</div>
	</div>
	<div id="gotm-list-box" class="escorts gotms">	
		
	</div>
</div><? /* i */ ?>